<!-- Contact -->
<div id="contact" class="section md-padding">

  <!-- Container -->
  <div class="container">

    <!-- Row -->
    <div class="row">

      <!-- Section-header -->
      <div class="section-header text-center">
        <h2 class="title">Get in touch</h2>
      </div>
      <!-- /Section-header -->

      <!-- contact -->
      <div class="col-sm-4">
        <div class="contact">
          <i class="fa fa-phone"></i>
          <h3>Phone</h3>
          <p>512-421-3940</p>
        </div>
      </div>
      <!-- /contact -->

      <!-- contact -->
      <div class="col-sm-4">
        <div class="contact">
          <i class="fa fa-envelope"></i>
          <h3>Email</h3>
          <p>email@support.com</p>
        </div>
      </div>
      <!-- /contact -->

      <!-- contact -->
      <div class="col-sm-4">
        <div class="contact">
          <i class="fa fa-map-marker"></i>
          <h3>Address</h3>
          <p>1739 Bubby Drive</p>
        </div>
      </div>
      <!-- /contact -->

      <!-- contact form -->
      <div class="col-md-8 col-md-offset-2" >
        <div *ngIf="!messageSent">
          <form *ngIf="contactForm" [formGroup]="contactForm" class="contact-form" (ngSubmit)="sendMessage()">
            <!--          <input type="text" class="input" placeholder="Name">-->
            <input type="email" class="input" placeholder="Email" name="email" formControlName="email"
                   style="width: 100%;">
            <div style="margin-bottom: -5px;"
                 *ngIf="contactForm.controls.email.invalid && (contactForm.controls.email.dirty || contactForm.controls.email.touched)">
              <div *ngIf="contactForm.controls.email.errors?.required">
                Email obligatoire!
              </div>
              <div *ngIf="contactForm.controls.email.errors?.email">
                Email incorrecte!
              </div>
            </div>

            <br>
            <!--          <input type="text" class="input" placeholder="Subject">-->
            <textarea class="input" placeholder="Message" name="message" formControlName="message"></textarea>
            <div style="margin-bottom: 15px;"
                 *ngIf="contactForm.controls.message.invalid && (contactForm.controls.message.dirty || contactForm.controls.message.touched)">
              <div *ngIf="contactForm.controls.message.errors?.required">
                Message obligatoire!
              </div>
              <div *ngIf="contactForm.controls.message.errors?.minlength">
                message trop court, minimum 30 caractères!
              </div>

            </div>
            <button class="main-btn">Send message</button>

          </form>
        </div>

        <div *ngIf="messageSent" class="error-message" style="text-align: center; margin-top: 50px">
          <h1>Message Envoyer</h1>
        </div>

      </div>
      <!-- /contact form -->

    </div>
    <!-- /Row -->

  </div>
  <!-- /Container -->

</div>
<!-- /Contact -->
